summaryrefslogtreecommitdiffhomepage
path: root/pkg/rpm/rpmbuild/SOURCES/unit.init
diff options
context:
space:
mode:
authorAndrei Belov <defan@nginx.com>2018-09-26 15:24:49 +0300
committerAndrei Belov <defan@nginx.com>2018-09-26 15:24:49 +0300
commit446479b3118a1217e359495ac4669931bfed65a9 (patch)
tree72882b073389930f9ab301fc1da36d2449fa13a1 /pkg/rpm/rpmbuild/SOURCES/unit.init
parent6b8a992bfa32b3d9a7e7bb4b40a2b9ff1d02e05a (diff)
downloadunit-446479b3118a1217e359495ac4669931bfed65a9.tar.gz
unit-446479b3118a1217e359495ac4669931bfed65a9.tar.bz2
Packages: removed "loadconfig" and "saveconfig" actions.
Diffstat (limited to 'pkg/rpm/rpmbuild/SOURCES/unit.init')
-rw-r--r--pkg/rpm/rpmbuild/SOURCES/unit.init30
1 files changed, 1 insertions, 29 deletions
diff --git a/pkg/rpm/rpmbuild/SOURCES/unit.init b/pkg/rpm/rpmbuild/SOURCES/unit.init
index b871ef32..e1aacd81 100644
--- a/pkg/rpm/rpmbuild/SOURCES/unit.init
+++ b/pkg/rpm/rpmbuild/SOURCES/unit.init
@@ -20,11 +20,6 @@
exec="/usr/sbin/unitd"
prog="unitd"
-config="/etc/unit/unit.conf"
-
-if [ -n "$2" ]; then
- config=$2
-fi
[ -e /etc/sysconfig/$prog ] && . /etc/sysconfig/$prog
@@ -86,31 +81,8 @@ case "$1" in
rh_status_q || exit 0
restart
;;
- saveconfig)
- curl -sS --unix-socket /var/run/control.unit.sock localhost >${config}.new
- if [ $? -ne 0 ]; then
- echo "Could not retreive configuration" >&2
- rm -f ${config}.new
- exit 1
- fi
- mv ${config}.new ${config}
- echo "The following configuration has been saved to ${config}:"
- cat ${config}
- ;;
- loadconfig)
- if [ ! -e ${config} ]; then
- echo "Could not find ${config} for loading" >&2
- exit 1
- fi
- echo "Loading configuration from ${config}..."
- curl -sS -X PUT --data-binary @${config} --unix-socket /var/run/control.unit.sock localhost
- if [ $? -ne 0 ]; then
- echo "Loading failed!" >&2
- exit 1
- fi
- ;;
*)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|saveconfig|loadconfig}"
+ echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart}"
exit 2
esac
exit $?